#include "display.h"

#include <curses.h>
#include <ctype.h>


void init_display() {
  initscr();
  cbreak();
  noecho();
  nonl();
  intrflush(stdscr, FALSE);
  keypad(stdscr, TRUE);
  scrollok(stdscr, FALSE);
  clear();
  curs_set(0);
}

void flush_display() {
  refresh();
}

void fin_display() {
  endwin();
}

void get_winsize(int *rows, int *cols) {
  *rows = LINES;
  *cols = COLS;
}

void draw_alphabet() {
  move(LINES-2, COLS-26);
  addstr("abcdefghijklmnopqrstuvwxyz");
  refresh();
}

void display_char(int ch, int row, int col) {
  mvaddch(row, col, ch);
}

void display_char_rv(int ch, int row, int col) {
  display_char(ch | A_REVERSE, row, col);
}

int read_letter() {
  return getch();
}
